#===============================================================================
# Copyright 2014-2020 Intel Corporation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#===============================================================================

from daal.data_management.features import (
    DAAL_FLOAT32,
    DAAL_FLOAT64,
    DAAL_INT32_S,
    DAAL_INT32_U,
    DAAL_INT64_S,
    DAAL_INT64_U,
    DAAL_INT8_S,
    DAAL_INT8_U,
    DAAL_INT16_S,
    DAAL_INT16_U,
    DAAL_OTHER_T,

    DAAL_GEN_FLOAT,
    DAAL_GEN_DOUBLE,
    DAAL_GEN_INTEGER,
    DAAL_GEN_BOOLEAN,
    DAAL_GEN_STRING,
    DAAL_GEN_UNKNOWN,

    DAAL_CATEGORICAL,
    DAAL_ORDINAL,
    DAAL_CONTINUOUS
)
